<!DOCTYPE html>
<html lang= "en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Receipt List</title>
</head>
    <body>
        <header>
            <nav>
                <ul>
                {% if user.is_authenticated %}
                    <li><a href="{% url 'account_list' %}">Account List</a></li>
                    <li><a href="{% url 'create_account' %}">Create Account</a></li>
                    <li><a href="{% url 'category_list' %}">Expense Category List</a></li>
                    <li><a href="{% url 'create_category' %}">Create Category</a></li>
                    <li><a href="{% url 'create_receipt' %}">Create Receipt</a></li>
                    <li><a href="{% url 'logout' %}">Logout</a></li>
                    {% else %}
                    <li><a href="{% url 'signup' %}">Sign Up</a></li>
                    <li><a href="{% url 'login' %}">Login</a></li>
                {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <h1>My Receipts</h1>
            <table>
                <thead>
                    <tr>
                        <th>Vendor</th>
                        <th>Total</th>
                        <th>Tax</th>
                        <th>Date</th>
                        <th>Category</th>
                        <th>Account</th>
                    </tr>
                </thead>
                <tbody>
                    {% for receipt in receipts %}
                    <tr>
                        <td>{{ receipt.vendor }}</td>
                        <td>{{ receipt.total }}</td>
                        <td>{{ receipt.tax }}</td>
                        <td>{{ receipt.date|date:"m/d/y" }}</td>
                        <td>{{ receipt.category.name }}</td>
                        <td>{{ receipt.account.name }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </main>
    </body>
</html>
